import React, {useState} from 'react'
import { render } from 'react-dom'
import App from './components/App'
import { io } from "socket.io-client";

const frontend = io('http://localhost:8888/frontend');

// Since we are using HtmlWebpackPlugin WITHOUT a template, we should create our own root node in the body element before rendering into it
let root = document.createElement('div')

root.id = 'root'
document.body.appendChild(root)

// Now we can render our application into it
render(<App frontend={frontend}/>, document.getElementById('root'))
